[fxruby-users] FX GUI objects won't display

Harold Worby haroldworby at earthlink.net
Sun Mar 20 22:09:00 EST 2005

I resolved the issue withe object not displaying.
I've discovered you can not call widgit.create durring the application
initialize routine,
But when creating a widjit later you HAVE to call widgit.create.
That's where I was stuck.
Here's my ruby version. Guess I neet to update!

C:\ruby\me>..\bin\ruby -rfox -e 'puts Fox.fxrubyversion'

but by directory is named C:\ruby\lib\ruby\gems\1.8\gemsfxruby-1.2.2-mswin32
what gives?

-----Original Message-----
From: fxruby-users-bounces at rubyforge.org
[mailto:fxruby-users-bounces at rubyforge.org]On Behalf Of Lyle Johnson
Sent: Saturday, March 19, 2005 7:20 AM
To: Harold Worby
Cc: fxruby-users at rubyforge.org
Subject: Re: [fxruby-users] FX GUI objects won't display

On Mar 17, 2005, at 1:38 PM, Harold Worby wrote:

> Calling either dialog.create or tree.create both cause Segmentation
> faults.
> splitter.rb:292: [BUG] Segmentation fault
> ruby 1.8.2 (2004-12-25) [i386-mswin32]
> Adding item.create had no effect.

OK. I saw the code excerpts in your previous e-mail and was just
hazarding a guess based on those. Can you send me the full program (off
list) so that I can try to debug what's happening?

Also, do you know which version of FXRuby you're running? If you're
just using the version of FXRuby that came bundled with the One-Click
Installer for Ruby 1.8.2, it's a few releases behind now and it's
possible that we've made some bug corrections in the meantime that
would address this problem. If I recall correctly, the One-Click
Installer for Ruby 1.8.2 came with  FXRuby 1.2.2, and we're up to
FXRuby 1.2.5 as of a few weeks ago. You can check to see which version
of FXRuby is installed with this command:

	ruby -rfox12 -e 'puts Fox.fxrubyversion'



fxruby-users mailing list
fxruby-users at rubyforge.org

More information about the fxruby-users mailing list